<!--user settings button-->
<div id="user_change_property_wrapper" class="side_wrapper">
  <button pTooltip="User settings" (click)="show_settings = true" id="user_change" pButton type="button"
    class="p-button-raised p-button-rounded side_btns" icon="pi pi-user-edit" iconPos="left"></button>
</div>

<!--new ad button-->
<div id="new_ad_wrapper" class="side_wrapper">
  <button pTooltip="New ad" (click)="show_new_ad = true" id="new_ad" pButton type="button"
    class="p-button-raised p-button-rounded side_btns" icon="pi pi-tags" iconPos="left"></button>
</div>

<!--my ads button-->
<div id="my_ads_wrapper" class="side_wrapper">
  <button pTooltip="My ads" (click)="show_my_ads = true; load_my_ads()" id="my_ads" pButton type="button"
    class="p-button-raised p-button-rounded side_btns" icon="pi pi-heart" iconPos="left"></button>
</div>


<!-- log out -->
<div id="logout_wrapper" class="side_wrapper">
  <button pTooltip="Log out" (click)="show_log_out = true" id="logout" pButton type="button"
    class="p-button-raised p-button-rounded side_btns" icon="pi pi-times-circle" iconPos="left"></button>
</div>


<!--user settings window-->
<div id="user_settings_window">
  <p-dialog styleClass="purple-dialog" header="USER SETTINGS" [(visible)]="show_settings">
    <app-user-settings-form></app-user-settings-form>
  </p-dialog>
</div>

<!--new ad window-->
<div id="new_ad_window">
  <p-dialog styleClass="purple-dialog" header="NEW AD" [(visible)]="show_new_ad">
    <app-new-ad-form></app-new-ad-form>
  </p-dialog>
</div>

<!--my ads window-->
<div id="my_ads_window">
  <p-dialog styleClass="purple-dialog" header="MY ADS" [(visible)]="show_my_ads">
    <app-my-ads-form [my_ads]="my_ads"></app-my-ads-form>
  </p-dialog>
</div>

<!-- logout window-->
<div id="logout_window">
  <p-dialog styleClass="purple-dialog" header="LOG OUT" [(visible)]="show_log_out">
    <app-logout-form></app-logout-form>
  </p-dialog>
</div>


<!--filter bar-->
<div class="window" id="filter-window">

  <!--  button for filter bar open-->
  <div>
    <p-button styleClass="button" type="text" (click)="sidebar_visible = true" icon="pi pi-filter" label="Filter">
    </p-button>
  </div>

  <!--  initial empty div that would store dynamically created tags-->
  <div id="tag_container">
  </div>

  <!--  Sort button that is only available if we work in custom search -->
  <div *ngIf="is_custom_search">
    <p-button styleClass="button" type="text" (click)="sidebar_sort_visible = true" icon="pi pi-sort-amount-down"
      label="Sort"></p-button>
  </div>

  <!--  Chosen car button that is only available if we work in smart search-->
  <div *ngIf="is_custom_search == false">
    <p-button styleClass="button" type="text" (click)="sidebar_sort_visible = true" icon="pi pi-sort-amount-down"
      label="Chosen cars"></p-button>
  </div>

</div>



<!-- sort sidebar  -->
<p-sidebar position="right" styleClass="sidebar" [(visible)]="sidebar_sort_visible">

  <!--  container that stores content of sort sidebar(custom search)-->
  <div class="container" id="sort_container" *ngIf="is_custom_search">

    <!--   Sort image in header-->
    <div id="sort_image">
      <img src="../../assets/Images/sort.png" id="sort-img" alt="sort">
    </div>

    <!--    wrapper for two dropdown components-->
    <div class="dropdown_container">

      <div id="category_wrapper">
        <p-dropdown placeholder="Sort category" [options]="possible_sorting_options" [(ngModel)]="sort_option"
          optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="method_wrapper">
        <p-dropdown placeholder="Sort method" [options]="possible_sorting_methods" [(ngModel)]="sort_method"
          optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

    </div>

    <!--    submit button for sort-->
    <div id="sort_submit_wrapper">
      <button pButton class="p-button-raised p-button-rounded p-button-success" icon="pi pi-check" label="Submit"
        (click)="sort_ads()"></button>
    </div>


  </div>

  <!--  Initial empty container that would be dynamically filled with chosen car divs(Only in smart search)-->
  <div class="container" id="chosen_car_container" *ngIf="is_custom_search == false" #chosenCarContainer>
    <div id="chosen_car_image">
      <img src="../../assets/Images/chosen_cars.png" id="chosen_car-img" alt="sort">
    </div>
  </div>
</p-sidebar>

<!-- filter sidebar  -->
<p-sidebar styleClass="sidebar" [(visible)]="sidebar_visible">

  <!--  container that contains all filter elements-->
  <div class="container">

    <div id="filter_image">
      <img src="../../assets/Images/filter.png" id="filter-img" alt="filter">
    </div>

    <!--    filter elements-->
    <div class="dropdown_container">
      <div id="car_manufacturer_wrapper">
        <p-dropdown (onChange)="set_tags('manufacturer'); load_models()" placeholder="Manufacturer"
          [options]="possible_manufacturers" [(ngModel)]="car_manufacturer" optionLabel="name" styleClass="dropdown">
        </p-dropdown>
      </div>

      <div id="car_model_wrapper">
        <p-dropdown (onChange)="set_tags('model')" placeholder="Model" [options]="possible_models"
          [(ngModel)]="car_model" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_class_wrapper">
        <p-dropdown (onChange)="set_tags('class')" placeholder="Class" [options]="possible_classes"
          [(ngModel)]="car_class" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_transmission_wrapper">
        <p-dropdown (onChange)="set_tags('transmission')" placeholder="Transmission" [options]="possible_transmissions"
          [(ngModel)]="car_transmission" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_engine_wrapper">
        <p-dropdown (onChange)="set_tags('engine')" placeholder="Engine" [options]="possible_engine"
          [(ngModel)]="car_engine" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_color_wrapper">
        <p-dropdown (onChange)="set_tags('color')" placeholder="Color" [options]="possible_colors"
          [(ngModel)]="car_color" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_drivetrain_wrapper">
        <p-dropdown (onChange)="set_tags('drivetrain')" placeholder="Drivetrain" [options]="possible_drivetrains"
          [(ngModel)]="car_drivetrain" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_power_wrapper">
        <p-slider (onChange)="set_tags('power')" styleClass="age_slider" [(ngModel)]="car_displacement" [min]="0"
          [max]="1000" [step]="1">Displacement
        </p-slider>
        <p id="displacement-label">Displacement (HP): {{car_displacement}}</p>
      </div>

    </div>

    <div id="age_slider_wrapper">
      <p-slider (onChange)="set_tags('model_year')" styleClass="age_slider" [(ngModel)]="model_year" [min]="1980"
        [max]="2021">Model year</p-slider>
      <p id="age-label">Model year: {{model_year}}</p>
    </div>

    <div id="price_slider_wrapper">
      <p-slider (onChange)="set_tags('price')" styleClass="age_slider" [(ngModel)]="car_price" [step]="100"
        [max]="200000">Price
      </p-slider>
      <p id="price-label">Price ($): {{car_price}}</p>
    </div>

    <div id="filter_submit_wrapper">
      <button pButton (click)="load_ads()" class="p-button-raised p-button-rounded p-button-success" icon="pi pi-check"
        label="Submit"></button>
    </div>

  </div>

</p-sidebar>

<!--main widow-->
<div class="window" id="main-window">
  <!-- search area -->

  <!--  Header picture that explains which type of search we use-->
  <div *ngIf="is_custom_search">
    <img src="../../assets/Images/custom_search.png">
  </div>
  <div *ngIf="is_custom_search == false">
    <img src="../../assets/Images/smart_search.png">
  </div>

  <!-- [class.my_class] = "step === 'step1'" -->
  <p-carousel numVisible="1" styleClass="ads" [value]="ads" id="mainCarousel">
    <ng-template let-ad pTemplate="item" id="ad-wrapper">
      <div class="ad_content">
        <div class="picture_wrapper">
          <img id="picture" [src]="ad.img" alt="picture">
        </div>

        <!--        table with all ad characteristics-->
        <div class="table_attributes">

          <!--          header-->
          <table class="tg">
            <thead>
              <tr>
                <th class="tg-licd">Manufacturer</th>
                <th class="tg-licd">Model</th>
                <th class="tg-licd">Model year</th>
                <th class="tg-licd">Color</th>
                <th class="tg-licd">Drivetrain</th>
                <th class="tg-licd">Class</th>
              </tr>
            </thead>
            <tbody>
              <!--            items-->
              <tr>
                <td class="tg-dk6e">{{ad.car.manufacturer}}</td>
                <td class="tg-dk6e">{{ad.car.model}}</td>
                <td class="tg-dk6e">{{ad.car.model_year}}</td>
                <td class="tg-dk6e">{{ad.car.color}}</td>
                <td class="tg-dk6e">{{ad.car.drivetrain}}</td>
                <td class="tg-dk6e">{{ad.car.class}}</td>
              </tr>
              <!--          header-->
              <tr>
                <td class="tg-licd">Price</td>
                <td class="tg-licd">Bargaining</td>
                <td class="tg-licd">Registration</td>
                <td class="tg-licd">Mileage</td>
                <td class="tg-licd">Transmission</td>
                <td class="tg-licd">Car year</td>
              </tr>
              <!--           items-->
              <tr>
                <td class="tg-dk6e">{{ad.price}}</td>
                <td class="tg-dk6e">{{ad.bargaining}}</td>
                <td class="tg-dk6e">{{ad.registration}}</td>
                <td class="tg-dk6e">{{ad.milleage}}</td>
                <td style="font-size: 10px;" class="tg-dk6e">{{ad.car.transmission}}</td>
                <td class="tg-dk6e">{{ad.car_year}}</td>
              </tr>
              <tr>
                <td class="tg-licd" colspan="4">Description</td>
                <td class="tg-licd" colspan="1">Phone</td>
                <td class="tg-licd" colspan="1">e-mail</td>
              </tr>
              <tr>
                <td id="description_cell" class="tg-dk6e" style="text-align:left; padding-left:2vw;" colspan="4">
                  {{ad.description}}</td>
                <td class="tg-dk6e">{{ad.user.phone}}</td>
                <td class="tg-dk6e">{{ad.user.email}}</td>
              </tr>
            </tbody>
          </table>



        </div>

      </div>
      <!-- smart search button that select cars that we like-->
      <div class="table_attributes" id="match-wrapper" *ngIf="is_custom_search == false">
        <div>
          <p-button (click)="add_favourite(ad);" styleClass="button" type="text" icon="pi pi-check" label="Match">
          </p-button>
        </div>
      </div>

    </ng-template>

  </p-carousel>

  <!--  pop-up dialog that shows us favourite cars information-->
  <div id="car_info_window">
    <p-dialog id="car_info_dialog" styleClass="dialog dialog-car-info" header="CAR INFO"
      [(visible)]="car_info_visibility">
      <div id="car_info_window_content">

        <table class="tg">
          <thead>
            <tr>
              <th class="tg-licd">Manufacturer</th>
              <th class="tg-licd">Model</th>
              <th class="tg-licd">Model year</th>
              <th class="tg-licd">Color</th>
              <th class="tg-licd">Drivetrain</th>
              <th class="tg-licd">Class</th>
            </tr>
          </thead>
          <tbody>
            <!--            items-->
            <tr>
              <td class="tg-dk6e3">{{car_info_data['manufacturer']}}</td>
              <td class="tg-dk6e3">{{car_info_data['model']}}</td>
              <td class="tg-dk6e3">{{car_info_data['model_year']}}</td>
              <td class="tg-dk6e3">{{car_info_data['color']}}</td>
              <td class="tg-dk6e3">{{car_info_data['drivetrain']}}</td>
              <td class="tg-dk6e3">{{car_info_data['class']}}</td>
            </tr>
            <!--          header-->
            <tr>
              <td class="tg-licd">Price</td>
              <td class="tg-licd">Bargaining</td>
              <td class="tg-licd">Registration</td>
              <td class="tg-licd">Mileage</td>
              <td class="tg-licd">Transmission</td>
              <td class="tg-licd">Car year</td>
            </tr>
            <!--           items-->
            <tr>
              <td class="tg-dk6e3">{{car_info_data['price']}}</td>
              <td class="tg-dk6e3">{{car_info_data['bargaining']}}</td>
              <td class="tg-dk6e3">{{car_info_data['registration']}}</td>
              <td class="tg-dk6e3">{{car_info_data['milleage']}}</td>
              <td style="font-size: 10px;" class="tg-dk6e3">{{car_info_data['transmission']}}</td>
              <td class="tg-dk6e3">{{car_info_data['car_year']}}</td>
            </tr>
            <tr>
              <td class="tg-licd" colspan="4">Description</td>
              <td class="tg-licd" colspan="1">Phone</td>
              <td class="tg-licd" colspan="1">e-mail</td>
            </tr>
            <tr>
              <td id="description_cell" class="tg-dk6e3" style="text-align:left; padding-left:2vw;" colspan="4">
                {{car_info_data['description']}}</td>
              <td class="tg-dk6e3">{{car_info_data['phone']}}</td>
              <td class="tg-dk6e3">{{car_info_data['email']}}</td>
            </tr>
          </tbody>
        </table>

      </div>

    </p-dialog>
  </div>


</div>